package com.kingdee.eas.custom.beisen.synchronousorg;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import java.lang.String;
import com.kingdee.eas.custom.beisen.synchronousorg.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class SynchronousEmpBill extends AbstractBizCtrl implements ISynchronousEmpBill
{
    public SynchronousEmpBill()
    {
        super();
        registerInterface(ISynchronousEmpBill.class, this);
    }
    public SynchronousEmpBill(Context ctx)
    {
        super(ctx);
        registerInterface(ISynchronousEmpBill.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("4A7B5179");
    }
    private SynchronousEmpBillController getController() throws BOSException
    {
        return (SynchronousEmpBillController)getBizController();
    }
    /**
     *入职单-User defined method
     *@param param 参数
     *@param viewConfigId 配置ID
     *@param userName 处理业务单据人员
     *@return
     */
    public String empBill(String param, String viewConfigId, String userName) throws BOSException
    {
        try {
            return getController().empBill(getContext(), param, viewConfigId, userName);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}